# Generated by Django 2.0.5 on 2018-10-05 18:22

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('cuenta', '0002_auto_20180903_0937'),
    ]

    operations = [
        migrations.CreateModel(
            name='Banco',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('banco', models.CharField(max_length=30)),
                ('siglas', models.CharField(max_length=8)),
            ],
            options={
                'verbose_name': 'Banco',
                'verbose_name_plural': 'Bancos',
                'ordering': ['-id'],
                'db_table': 'recaudacion"."banco',
            },
        ),
        migrations.CreateModel(
            name='CostoTramite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monto', models.IntegerField(default=0, verbose_name='Monto en UT')),
                ('fecha_alta', models.DateField()),
                ('fecha_baja', models.DateField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Costo de Trámite',
                'verbose_name_plural': 'Costos del Trámite',
                'ordering': ['-id'],
                'db_table': 'recaudacion"."costo_tramite',
            },
        ),
        migrations.CreateModel(
            name='MetodoPago',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('metodopago', models.CharField(max_length=60)),
                ('descripcion', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Metodopago',
                'verbose_name_plural': 'Metodopagos',
                'ordering': ['-id'],
                'db_table': 'recaudacion"."metodopago',
            },
        ),
        migrations.CreateModel(
            name='TipoTramite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('siglas', models.CharField(max_length=4)),
                ('descripcion', models.CharField(max_length=40)),
            ],
            options={
                'verbose_name': 'Tipo de Trámite',
                'verbose_name_plural': 'Tipos de Trámites',
                'ordering': ['-id'],
                'db_table': 'recaudacion"."tipo_tramite',
            },
        ),
        migrations.CreateModel(
            name='Tramite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nro_bauche', models.CharField(max_length=20, unique=True)),
                ('monto_bauche', models.FloatField(default=0)),
                ('fecha_bauche', models.DateField()),
                ('nro_tramite', models.CharField(blank=True, max_length=14, null=True, unique=True)),
                ('fecha_emision', models.DateField()),
                ('fecha_retiro', models.DateField(blank=True, null=True)),
                ('fecha_vencimiento', models.DateField(blank=True, null=True)),
                ('status_vigencia', models.BooleanField(default=True, verbose_name='Vigente?')),
                ('status_retiro', models.BooleanField(default=False, verbose_name='Retirado?')),
                ('status_actividad', models.BooleanField(default=False, verbose_name='Activo?')),
                ('status_uso', models.BooleanField(default=False)),
                ('costo_tramite', models.FloatField(default=0, verbose_name='Costo Trámite Bs')),
                ('banco', models.ForeignKey(blank=True, db_column='banco_id', null=True, on_delete=django.db.models.deletion.PROTECT, to='recaudacion.Banco', verbose_name='Banco')),
                ('funcionario', models.ForeignKey(db_column='funcionario_id', on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL, verbose_name='Funcionario')),
                ('metodo_pago', models.ForeignKey(blank=True, db_column='metodo_pago_id', null=True, on_delete=django.db.models.deletion.PROTECT, to='recaudacion.MetodoPago', verbose_name='Método de Pago')),
                ('parroquia', models.ForeignKey(blank=True, db_column='parroquia_id', null=True, on_delete=django.db.models.deletion.PROTECT, to='cuenta.Parroquia')),
                ('tipo_tramite', models.ForeignKey(blank=True, db_column='tipo_tramite_id', null=True, on_delete=django.db.models.deletion.PROTECT, to='recaudacion.TipoTramite', verbose_name='Tipo de Trámite')),
                ('tramite', models.ForeignKey(blank=True, db_column='tramite_id', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='requisito', to='recaudacion.Tramite')),
            ],
            options={
                'verbose_name': 'Tramite',
                'verbose_name_plural': 'Tramite',
                'ordering': ['-id'],
                'db_table': 'recaudacion"."tramite',
            },
        ),
        migrations.CreateModel(
            name='UnidadTributaria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unidad_tributaria', models.IntegerField(default=0)),
                ('fecha_alta', models.DateField()),
                ('fecha_baja', models.DateField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Unidad Tributaria',
                'verbose_name_plural': 'Unidades Tributarias',
                'ordering': ['-id'],
                'db_table': 'recaudacion"."unidad_tributaria',
            },
        ),
        migrations.AddField(
            model_name='costotramite',
            name='tipo_tramite',
            field=models.ForeignKey(blank=True, db_column='tipo_tramite_id', null=True, on_delete=django.db.models.deletion.PROTECT, to='recaudacion.TipoTramite', verbose_name='Tipo de Trámite'),
        ),
    ]
